//-----------------------------//
//-------GLOBAL TEXTURES-------//
//-----------------------------//


textures/kidjumps_a2/flagfloor
{
	qer_editorimage textures/kidjumps_a2/flagfloor.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kidjumps_a2/flagfloor.jpg
		blendFunc filter
	}
}

textures/kidjumps_a2/glass
{
	qer_editorimage textures/kidjumps_a2/glass.tga
	qer_trans 0.5
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm trans
	cull disable	
	{
		map $lightmap
		tcGen lightmap
		blendFunc add
		rgbGen const ( 0.1 0.1 0.1 )
	}
	{
		map textures/kidjumps_a2/glass.tga
  		tcGen environment
 		blendFunc add
		tcmod scale 1 1
		rgbGen const ( 0.05 0.05 0.1 )
	}
}

textures/kidjumps_a2/ice
{
	qer_editorimage textures/kidjumps_a2/ice.jpg
	q3map_surfacelight 300
	q3map_lightsubdivide 256
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kidjumps_a2/ice.jpg
		blendFunc filter
	}
}

textures/kidjumps_a2/invis
{
	qer_editorimage textures/kidjumps_a2/invis.jpg
	qer_trans 0.50
	surfaceparm nodamage
	surfaceparm nodraw
	surfaceparm nodrop
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
}

textures/kidjumps_a2/launcher
{
	qer_editorimage textures/kidjumps_a2/launcher.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kidjumps_a2/launcher.jpg
		blendFunc filter
	}
}

textures/kidjumps_a2/marble
{
	qer_editorimage textures/kidjumps_a2/marble.jpg
	q3map_surfacelight 300
	q3map_lightsubdivide 128
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kidjumps_a2/marble.jpg
		blendFunc filter
	}
}

textures/kidjumps_a2/marble_sl
{
	qer_editorimage textures/kidjumps_a2/marble.jpg
	q3map_surfacelight 300
	q3map_lightsubdivide 128
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kidjumps_a2/marble.jpg
		blendFunc filter
	}
}

textures/kidjumps_a2/stone_road
{
	qer_editorimage textures/kidjumps_a2/stone_road.jpg
	q3map_surfacelight 200
	q3map_lightsubdivide 256
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kidjumps_a2/stone_road.jpg
		blendFunc filter
	}
}

textures/kidjumps_a2/stone_wall
{
	qer_editorimage textures/kidjumps_a2/stone_wall.jpg
	q3map_surfacelight 500
	q3map_lightsubdivide 256
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kidjumps_a2/stone_wall.jpg
		blendFunc filter
	}
}

textures/kidjumps_a2/stone_wall_ns
{
	qer_editorimage textures/kidjumps_a2/stone_wall.jpg
	q3map_surfacelight 500
	q3map_lightsubdivide 256
	surfaceparm nodamage
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kidjumps_a2/stone_wall.jpg
		blendFunc filter
	}
}

textures/kidjumps_a2/tiles
{
	qer_editorimage textures/kidjumps_a2/tiles.jpg
	q3map_surfacelight 200
	q3map_lightsubdivide 128
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kidjumps_a2/tiles.jpg
		blendFunc filter
	}
}

textures/kidjumps_a2/water
{
	qer_editorimage textures/kidjumps_a2/water.jpg
	q3map_surfacelight 100
	q3map_lightsubdivide 256
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kidjumps_a2/water.jpg
		blendFunc filter
	}
}

textures/kidjumps_a2/water_ns
{
	qer_editorimage textures/kidjumps_a2/water.jpg
	qer_trans 0.5
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin 0.5 0.5 0 0.5
	{ 
		map textures/kidjumps_a2/water.jpg
		blendFunc GL_dst_color GL_one
		rgbGen identity
		tcmod scale 0.5 0.5
		tcmod scroll 0.025 0.01
	}
	{ 
		map textures/kidjumps_a2/water.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -0.5 -0.5
		tcmod scroll 0.025 0.025
	}
}

textures/kidjumps_a2/watercaulk
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}

textures/kidjumps_a2/wood
{
	qer_editorimage textures/kidjumps_a2/wood.jpg
	q3map_surfacelight 200
	q3map_lightsubdivide 256
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kidjumps_a2/wood.jpg
		blendFunc filter
	}
}



//-----------------------------//
//-------SIGNS & POSTERS-------//
//-----------------------------//


textures/kidjumps_a2/finish
{
	qer_editorimage textures/kidjumps_a2/finish.jpg
	q3map_surfacelight 300
	q3map_lightsubdivide 128
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kidjumps_a2/finish.jpg
		blendFunc filter
	}
}

textures/kidjumps_a2/jumper1
{
	qer_editorimage textures/kidjumps_a2/jumper1.jpg
	q3map_surfacelight 300
	q3map_lightsubdivide 128
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kidjumps_a2/jumper1.jpg
		blendFunc filter
	}
}

textures/kidjumps_a2/jumper2
{
	qer_editorimage textures/kidjumps_a2/jumper2.jpg
	q3map_surfacelight 300
	q3map_lightsubdivide 128
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kidjumps_a2/jumper2.jpg
		blendFunc filter
	}
}

textures/kidjumps_a2/jumper3
{
	qer_editorimage textures/kidjumps_a2/jumper3.jpg
	q3map_surfacelight 300
	q3map_lightsubdivide 128
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kidjumps_a2/jumper3.jpg
		blendFunc filter
	}
}

textures/kidjumps_a2/jumper4
{
	qer_editorimage textures/kidjumps_a2/jumper4.jpg
	q3map_surfacelight 300
	q3map_lightsubdivide 128
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kidjumps_a2/jumper4.jpg
		blendFunc filter
	}
}

textures/kidjumps_a2/logo
{
	qer_editorimage textures/kidjumps_a2/logo.jpg
	q3map_surfacelight 300
	q3map_lightsubdivide 128
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kidjumps_a2/logo.jpg
		blendFunc filter
	}
}

textures/kidjumps_a2/thanks1
{
	qer_editorimage textures/kidjumps_a2/thanks1.jpg
	q3map_surfacelight 300
	q3map_lightsubdivide 128
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kidjumps_a2/thanks1.jpg
		blendFunc filter
	}
}

textures/kidjumps_a2/thanks2
{
	qer_editorimage textures/kidjumps_a2/thanks2.jpg
	q3map_surfacelight 300
	q3map_lightsubdivide 128
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kidjumps_a2/thanks2.jpg
		blendFunc filter
	}
}

textures/kidjumps_a2/welcome
{
	qer_editorimage textures/kidjumps_a2/welcome.jpg
	q3map_surfacelight 300
	q3map_lightsubdivide 128
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kidjumps_a2/welcome.jpg
		blendFunc filter
	}
}

textures/kidjumps_a2/white
{
	qer_editorimage textures/kidjumps_a2/white.jpg
	q3map_surfacelight 200
	q3map_lightsubdivide 256
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kidjumps_a2/white.jpg
		blendFunc filter
	}
}








